%define momorel 1
%define rbname erbscan
Summary: ERB compiler accelerator
Name: ruby-%{rbname}
Version: 0.0.20030723b
Release: %{momorel}m
URL: http://www.ruby-lang.org/en/raa-list.rhtml?name=erbscan
Source0: http://www.moonwolf.com/ruby/archive/erbscan-%{version}.tar.gz
NoSource: 0
License: Ruby
Group:  Applications/Text
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: ruby-devel

%description
ERB::Compiler accelerator
8 times faster than erb.rb(Ruby1.8.0)
  require "erb" # slow
  require "erb_fast" # FAST!!!!

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q -n %{rbname}-%{version}
chmod 644 README*

%build
ruby extconf.rb
make sitedir=%{_libdir}/ruby

%install
rm -rf %{buildroot}
make install sitedir=%{buildroot}%{_libdir}/ruby

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README*
%{ruby_libdir}/*.rb
%{ruby_archdir}/*.so

%changelog
* Wed Oct 22 2003 zunda <zunda at freeshell.org>
- (0.0.20030723b-1m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- version/release division changed to follow speclint

* Sun Sep 14 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.0-0.20030723b.1m)
- initial import to Momonga
